package tech.nevets.packetmirror;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.Socket;
import java.nio.charset.StandardCharsets;

public class TCPClient {
    public static String sendPacket(String host, int port, String data) throws IOException {
        Socket s = new Socket(host, port);
        InputStream is = s.getInputStream();
        OutputStream os = s.getOutputStream();

        os.write(data.getBytes(StandardCharsets.UTF_8));
        os.write(0xf);
        os.flush();

        byte[] buf = new byte[1024];
        int i = 0;
        for (byte b = (byte) is.read(); b != 0xf; b = (byte) is.read()) {
            buf[i] = b;
            i++;
        }

        s.close();

        return new String(buf);
    }
}
